# DataExchange
TKSTEPBase
StepRepr

# StepRepr_RepresentationRelationship Class Reference

`#include <StepRepr_RepresentationRelationship.hxx>`

Inheritance diagram for StepRepr_RepresentationRelationship:

[legend]

## Public Member Functions

Standard_EXPORT | StepRepr_RepresentationRelationship ()
| Returns a RepresentationRelationship .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepRepr_Representation)&aRep1, const Handle(StepRepr_Representation)&aRep2)
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&aDescription)
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
Standard_EXPORT void | SetRep1 (const Handle(StepRepr_Representation)&aRep1)
Standard_EXPORT Handle_StepRepr_Representation | Rep1 () const
Standard_EXPORT void | SetRep2 (const Handle(StepRepr_Representation)&aRep2)
Standard_EXPORT Handle_StepRepr_Representation | Rep2 () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | name
Handle_TCollection_HAsciiString | description
Handle_StepRepr_Representation | rep1
Handle_StepRepr_Representation | rep2

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_RepresentationRelationship::StepRepr_RepresentationRelationship | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_RepresentationRelationship::Description | ( |  | ) | const

Standard_EXPORT const StepRepr_RepresentationRelationship::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepRepr_RepresentationRelationshipWithTransformation, StepRepr_ShapeRepresentationRelationship, and StepRepr_ShapeRepresentationRelationshipWithTransformation.

virtual Standard_EXPORT void StepRepr_RepresentationRelationship::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepRepr_Representation)& | aRep1,
|  | const Handle(StepRepr_Representation)& | aRep2
| ) | `[virtual]`

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_RepresentationRelationship::Name | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_Representation StepRepr_RepresentationRelationship::Rep1 | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_Representation StepRepr_RepresentationRelationship::Rep2 | ( |  | ) | const

Standard_EXPORT void StepRepr_RepresentationRelationship::SetDescription | ( | const Handle(TCollection_HAsciiString)& | aDescription | ) |

Standard_EXPORT void StepRepr_RepresentationRelationship::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

Standard_EXPORT void StepRepr_RepresentationRelationship::SetRep1 | ( | const Handle(StepRepr_Representation)& | aRep1 | ) |

Standard_EXPORT void StepRepr_RepresentationRelationship::SetRep2 | ( | const Handle(StepRepr_Representation)& | aRep2 | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepRepr_RepresentationRelationship::description `[private]`

Handle_TCollection_HAsciiString StepRepr_RepresentationRelationship::name `[private]`

Handle_StepRepr_Representation StepRepr_RepresentationRelationship::rep1 `[private]`

Handle_StepRepr_Representation StepRepr_RepresentationRelationship::rep2 `[private]`

The documentation for this class was generated from the following file:

- StepRepr_RepresentationRelationship.hxx